cpw.mods.fml.client.config

## Class GuiEditArrayEntries.DoubleEntry

- java.lang.Object
- - cpw.mods.fml.client.config.GuiEditArrayEntries.BaseEntry
  - - cpw.mods.fml.client.config.GuiEditArrayEntries.StringEntry
    - - cpw.mods.fml.client.config.GuiEditArrayEntries.DoubleEntry

- All Implemented Interfaces:
    GuiEditArrayEntries.IArrayEntry, GuiListExtended.IGuiListEntry
  Enclosing class:
    GuiEditArrayEntries

      public static class GuiEditArrayEntries.DoubleEntry
      extends GuiEditArrayEntries.StringEntry

  IGuiListEntry Inner Classes

- - ### Field Summary

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiEditArrayEntries.StringEntry

      `textFieldValue`

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiEditArrayEntries.BaseEntry

      `btnAddNewEntryAbove, btnRemoveEntry, configElement, isValidated, isValidValue, owningEntryList, owningScreen`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiEditArrayEntries.DoubleEntry(GuiEditArray owningScreen, GuiEditArrayEntries owningEntryList, IConfigElement configElement, java.lang.Double value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Double` | `getValue()`
    `void` | `keyTyped(char eventChar, int eventKey)`

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiEditArrayEntries.StringEntry

      `drawEntry, mouseClicked, updateCursorCounter`

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiEditArrayEntries.BaseEntry

      `drawToolTip, isValueSavable, mousePressed, mouseReleased`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiEditArrayEntries.DoubleEntry

          public GuiEditArrayEntries.DoubleEntry(GuiEditArray owningScreen,
                                         GuiEditArrayEntries owningEntryList,
                                         IConfigElement configElement,
                                         java.lang.Double value)

  - ### Method Detail

    - #### keyTyped

          public void keyTyped(char eventChar,
                      int eventKey)

      Specified by:
        `keyTyped` in interface `GuiEditArrayEntries.IArrayEntry`
      Overrides:
        `keyTyped` in class `GuiEditArrayEntries.StringEntry`

    - #### getValue

          public java.lang.Double getValue()

      Specified by:
        `getValue` in interface `GuiEditArrayEntries.IArrayEntry`
      Overrides:
        `getValue` in class `GuiEditArrayEntries.StringEntry`